<?php
#=
function plusrien($msg) {
global $etab_theme;
print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
print "<HTML><HEAD><meta http-equiv=\"content-type\" content=\"text/html; charset=ISO-8859-1\">\n<link rel=\"stylesheet\" href=\"../themes/".$etab_theme."/b2i.css\"></HEAD>";
print "<BODY class=\"arialadmin\">";
print "<p>&nbsp;</p>\n";
print "<p>$msg.</p>";
retour("../outils/verifie_base.php");
}

function coches_tout_rien($indivmin) { ?>
	<td colspan="9" valign="bottom">
    <img src="../images/arrow_ltr.gif" border="0" width="38" height="22" alt="les cases à cocher : " />
    <a href="#" onclick="coches(incorp,true);">Tout cocher</a>&nbsp;/&nbsp;
    <a href="#" onclick="coches(incorp,false);">Tout décocher</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    Action à effecter avec la sélection :&nbsp;&nbsp;
    <select name="action" onchange="this.form.submit();">
        <option value="0" selected="selected"> Choisir... </option>
        <option value="S" >Supprimer les <?php print $indivmin; ?> cochés</option>
        <option value="N" >Créer de nouveaux comptes aux <?php print $indivmin; ?> cochés</option>
    </select>
    <br />
	<?php
}

function creer($nid) {
global $elvprof,$modele,$champactif;
//les données secondaires (classe nouvelle, langues) sont en place mais avec un individu_id négatif
//il reste à updater la table eleves et créer un enregistrement dans comptes
$nouveau=new $elvprof;
$nouveau->setbyid($nid);
$nouveau->creerloginunique($modele);
$cid=$nouveau->insertcompte($champactif);
query("UPDATE $nouveau->table SET tag=0, compte_id=".seci($cid )." WHERE $nouveau->champ_id=".seci($nid));
print "Compte créé pour <b>$nouveau->nom</b> $nouveau->prenom ($nouveau->dnaiss) : <b>login=$nouveau->login</b><br />";
return $nouveau->login;
}

function supprimer($nid) {
global $elvprof;
//supprimer les langues ou les classes
$nouveau=new $elvprof;
$nouveau->setbyid($nid);
if ($nouveau->statut=='Eleve')    //supprimer les langues du postulant
    query("DELETE FROM lien_eleves_disciplines WHERE eleve_id=$nid");
else                                   //supprimer les classes du postulant
    query("DELETE FROM lien_profs_classes WHERE prof_id=$nid");
//supprimer l'individu
query("DELETE FROM $nouveau->table WHERE $nouveau->champ_id=$nouveau->id");
}


?>
